# $Revision: 1.8 $, $Date: 2008-05-11 10:51:48 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	Reply
Summary:	Email::Reply - reply to a message
Summary(pl.UTF-8):	Email::Reply - odpowiadanie na e-mail
Name:		perl-Email-Reply
Version:	1.202
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a1d1758016232c98e4119b653d7e1421
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Abstract >= 2.01
BuildRequires:	perl-Email-Address >= 1.80
BuildRequires:	perl-Email-MIME >= 1.82
BuildRequires:	perl-Email-MIME-Creator >= 1.41
BuildRequires:	perl-Email-MIME-Modifier >= 1.42
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This software takes the hard out of generating replies to email
messages.

%description -l pl.UTF-8
Pakiet ten usuwa trudność generowania odpowiedzi na wiadomości e-mail.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Reply.spec,v $
Revision 1.8  2008-05-11 10:51:48  hawk
- updated to 1.202

Revision 1.7  2007-03-23 20:09:51  megabajt
- updated to 1.201

Revision 1.6  2007/02/13 07:16:55  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.4  2004/12/10 12:07:42  ankry
- not typo

Revision 1.3  2004/12/10 12:00:43  radek
- typo in summary (verb, not noun)

Revision 1.2  2004/12/10 00:58:39  ankry
- pl

Revision 1.1  2004/12/09 23:47:39  radek
- new
